Download it now!
Bug 81370 - EDITING: Rotated shapes in selection cause impossibility of size change without "keep ratio"
Summary: EDITING: Rotated shapes in selection cause impossibility of size change witho...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Shape-Points
  Show dependency treegraph
 
Reported: 2014-07-15 04:54 UTC by Bugcruncher
Modified: 2019-12-03 14:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (40.75 KB, application/vnd.oasis.opendocument.graphics)
2014-07-15 04:54 UTC, Bugcruncher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-07-15 04:54:14 UTC
Created attachment 102813 [details]
Sample Document

Problem description: 


Steps to reproduce:
1. Open attached sample document
2. Select shape + rectangle "0°: works fine"
3. drag and drop bottom middle control point of selection upwards
   to half selection hight. 
   As expected smiley and rectangle will keep their width, but 
   their heights will shrink with height of selection
4. Undo

12. Select shape + rectangle "90°: problem"
13. drag and drop bottom middle control point of 
    selection upwards to half selection hight. 
    Unexpectedly also width of selection and shapes in it
    will be reduced, the operation as like "keep ratio" 
    as it should be if you drag and drop control points with
    pressed <shift>

I doubt that this function ever worked correctly, but also in AOO bugzilla I can not find a related report.
              
Operating System: Windows 7
Version: 4.2.5.2 release
Comment 1 Buovjaga 2014-11-04 08:46:37 UTC
I reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: ad6d94009cf8ea526eb70bf1a07e5c6a21320f83
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-04_00:06:27
Comment 2 Buovjaga 2015-01-07 17:53:20 UTC
Lowered version number after reproducing with:

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 3 QA Administrators 2016-01-17 20:03:49 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 14:15:57 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:17:28 UTC
Dear Bugcruncher,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug